<div class="col-6 offset-1 my-5" @Fading>
  <h3>{{title}}</h3>
  <form #addArtistForm="ngForm" (ngSubmit)="onSubmit(addArtistForm)" *ngIf="artist">
    <div class="form-group">
      <label for="name">Nombre artista</label>
      <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="artist.name" class="form-control" required>
      <small class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre de artista es necesario</small>
    </div>
    <div class="form-group">
        <label for="description">Descripción</label>
        <input type="text" id="description" name="description" [(ngModel)]="artist.description" class="form-control">
    </div>
    <div class="form-group" *ngIf="is_edit">
      <label for="image">Imagen artista</label>
      <div>
        <img src="{{url + 'artist/get-image/' + artist._id }}" *ngIf="artist.image && artist.image!=null" class="image_artist" id="image">
      </div>
      <input type="file" id="image" class="form-control" (change)="onChangeImage($event)">
    </div>
    <div class="form-group">
        <button type="submit" class="btn btn-primary" [disabled]="addArtistForm.form.invalid">{{title}}</button>
    </div>
  </form>
  <div class="alert" [ngClass]="status==true ? 'alert-success' : 'alert-danger'" *ngIf="message">{{message}}</div>
</div>
